import React from "react";
import { fromLezer } from "hast-util-from-lezer";
import { toJsxRuntime } from "hast-util-to-jsx-runtime";
import { Fragment, jsx, jsxs } from "react/jsx-runtime";
import { jsxDEV } from "react/jsx-dev-runtime";
export const Parsers = React.createContext({});
export const Code = (props) => {
    const parsers = React.useContext(Parsers);
    if (props.language !== undefined && props.language in parsers) {
        const parser = parsers[props.language];
        const tree = parser.parse(props.source);
        const root = fromLezer(props.source, tree);
        const content = toJsxRuntime(root, {
            Fragment,
            jsx: jsx,
            jsxs: jsxs,
            jsxDEV: jsxDEV,
        });
        return React.createElement("code", { className: props.language }, content);
    }
    else {
        return React.createElement("code", { className: props.language }, props.source);
    }
};
